Partagez
Aller en bas
Greizer
Greizer
Membre

Nombre de messages : 49
Distinction : aucune
Date d'inscription : 06/11/2015

RPG Maker MV [Résolu] ABS + Overlay compatibilité

le Mar 26 Mar 2019 - 18:29
Bonjour

Depuis quelques jours j'essaie d'installer un plugin de combat à action directe ou ABS(Action Battle System)
Mais voilà avec le plugin de KageDesu "Alpha ABS" celui ci ne m'affiche plus le calque "par" de ma map.

J'ai donc changé pour un plugin moins complet pour éviter trop de problème de compatibilité celui de Quasi "Quasi's ABS" .
J'ai fais l'installation suivant la documentation mais un erreur s'affiche au lancement (Console)  :
Code:

TypeError: Cannot read property '1' of undefined
    at Object.QuasiABS.AI.willHit (file:///C:/Users/Aurelien/Documents/Games/Lotus/js/plugins/QuasiABS.js:890:40)
    at file:///C:/Users/Aurelien/Documents/Games/Lotus/js/plugins/QuasiABS.js:861:29
La ligne de code où est indiqué l'erreur :
Code:
var targetRange = settings.range; // ground target or select target range
var width = w = settings.collider[1];
var height = h = settings.collider[2];

N'ayant vraiment aucune connaissance en JS , je compte sur votre aide pour m'aiguiller si vous avez déjà installer Quasi's ABS ou si vous connaissez un autre plugin compatible à l'Overlay.

Merci pour votre futur aide, scratch

EDIT: KageDesu, programmeur d'Alpha ABS, travail sur une version compatible avec l'Orange Overlay.


Dernière édition par Greizer le Ven 29 Mar 2019 - 23:49, édité 1 fois
Spytje
Spytje
Administrateur

Nombre de messages : 5933
Localisation : La terre
Distinction : Spiraliste [Korn']
Forestia : Projet du mois juillet 2014
Papy Pulkigrat [Yama']
Date d'inscription : 16/03/2008

RPG Maker MV Re: [Résolu] ABS + Overlay compatibilité

le Mer 27 Mar 2019 - 20:57
Salut,

Ce script est vraiment long et complexe il est préférable de contacter directement l'auteur de ce script sur la commu anglophone

https://forums.rpgmakerweb.com/index.php?threads/qplugins-latest-qabs.73023/

Pour finir, le script abs de KageDesu est moins difficile à prendre en main si tu débutes Essaies peut être de voir avec lui si il y a pas un fix pour le script d'overlay (il répond normalement assez rapidement) il me semble que j'avais trouvé la solution à l'époque avec mon projet pour faire de sorte que ça fonctionne correctement

_________________
[Résolu] ABS + Overlay compatibilité 911

LE PROJET SUR FACEBOOK

N'hésitez pas à suivre la page  [Résolu] ABS + Overlay compatibilité 344805
Greizer
Greizer
Membre

Nombre de messages : 49
Distinction : aucune
Date d'inscription : 06/11/2015

RPG Maker MV Re: [Résolu] ABS + Overlay compatibilité

le Mer 27 Mar 2019 - 21:05
Bonsoir,

Merci beaucoup pour ta réponse, je vais voir comment je peux contacter KageDesu pour essayer de résoudre le problème.
J'aime pas du tout être limité dans les graphismes et j'aime beaucoup l'ABS , ça m’embêtait de faire un choix entre les deux..
Revenir en haut
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum